<?xml version="1.0" encoding="UTF-8"?>
<commands>

<command name="Ogg Theora (Cinelerra)" call="ffmpeg2theora $[optquality] -c 2 -o ${out} ${in}" ext="ogv">
<variable name="quality" expr="[1-9]"/>
<optionalsetting name="optquality" expr="-v ${quality} -a 3"/>
</command>

<command name="MPEG-4 (Cinelerra)" call="ffmpeg -i ${in} -f mp4 -vcodec libxvid -maxrate 2000k -b 2000k -qmin 3 -qmax 5 -bufsize 4096k -g 300 -acodec libfaac -ac 2 -ab 128k -ar 48000 ${out}" ext="avi"/>

<command name="MPEG-2 DVD NTSC (Cinelerra)" call="ffmpeg -i ${in} -target ntsc-dvd -aspect 4:3 ${out}" ext="mpg"/>

<command name="MPEG-2 DVD PAL (Cinelerra)" call="ffmpeg -i ${in} -target pal-dvd -aspect 4:3 ${out}" ext="mpg"/>

<command name="DV (Cinelerra/Kino)" call="ffmpeg -i ${in} -target ntsc-dv ${out}" ext="dv"/>

<!--
<command name="MPEG-2 DVD (Cinelerra)" call="ffmpeg -i ${in} -target dvd -s ${size} -ac 2 ${out}" ext="mpg">
<variable name="size" default="640x480" expr="(640x480|800x600)"/>
</command>
-->

<command name="MPEG-4 (IPod)" call="ffmpeg -i ${in} -f mov -b 1800 -maxrate 2500 -vcodec libxvid -qmin 3 -qmax 5 -s 320x180 -padtop 30 -padbottom 30 -acodec libfaac -ab 128 ${out}" ext="mp4"/>

<command name="MP3 (audio only)" call="ffmpeg -i ${in} ${out}" ext="mp3"/>

</commands>

